VTK: vtkDSPFilterDefinition Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
vtkDSPFilterDefinition Class Reference

used by the Exodus readers More...

`#include <vtkDSPFilterDefinition.h>`

Inheritance diagram for vtkDSPFilterDefinition:
[legend]
Collaboration diagram for vtkDSPFilterDefinition:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkDSPFilterDefinition * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Copy (vtkDSPFilterDefinition *other)
void | Clear ()
bool | IsThisInputVariableInstanceNeeded (int a_timestep, int a_outputTimestep)
void | PushBackNumeratorWeight (double a_value)
void | PushBackDenominatorWeight (double a_value)
void | PushBackForwardNumeratorWeight (double a_value)
void | SetInputVariableName (const char *a_value)
void | SetOutputVariableName (const char *a_value)
const char * | GetInputVariableName ()
const char * | GetOutputVariableName ()
int | GetNumNumeratorWeights ()
int | GetNumDenominatorWeights ()
int | GetNumForwardNumeratorWeights ()
double | GetNumeratorWeight (int a_which)
double | GetDenominatorWeight (int a_which)
double | GetForwardNumeratorWeight (int a_which)
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDSPFilterDefinition * | SafeDownCast (vtkObjectBase *o)
static vtkDSPFilterDefinition * | New ()
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Public Attributes
vtkDSPFilterDefinitionVectorDoubleSTLCloak * | NumeratorWeights
vtkDSPFilterDefinitionVectorDoubleSTLCloak * | DenominatorWeights
vtkDSPFilterDefinitionVectorDoubleSTLCloak * | ForwardNumeratorWeights
vtkDSPFilterDefinitionStringSTLCloak * | InputVariableName
vtkDSPFilterDefinitionStringSTLCloak * | OutputVariableName

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkDSPFilterDefinition ()
| vtkDSPFilterDefinition (vtkDSPFilterDefinition *other)
| ~vtkDSPFilterDefinition () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

used by the Exodus readers

vtkDSPFilterDefinition is used by vtkExodusReader, vtkExodusIIReader and vtkPExodusReader to do temporal smoothing of data

See also
  vtkDSPFilterGroup vtkExodusReader vtkExodusIIReader vtkPExodusReader

Definition at line 24 of file vtkDSPFilterDefinition.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkDSPFilterDefinition::Superclass

Definition at line 27 of file vtkDSPFilterDefinition.h.

## Constructor & Destructor Documentation

## ◆ vtkDSPFilterDefinition() [1/2]

vtkDSPFilterDefinition::vtkDSPFilterDefinition | ( |  | ) |
| protected

## ◆ vtkDSPFilterDefinition() [2/2]

vtkDSPFilterDefinition::vtkDSPFilterDefinition | ( | vtkDSPFilterDefinition * | other | ) |
| protected

## ◆ ~vtkDSPFilterDefinition()

vtkDSPFilterDefinition::~vtkDSPFilterDefinition | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkDSPFilterDefinition::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkDSPFilterDefinition::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkDSPFilterDefinition* vtkDSPFilterDefinition::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkDSPFilterDefinition::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkDSPFilterDefinition* vtkDSPFilterDefinition::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkDSPFilterDefinition::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkDSPFilterDefinition* vtkDSPFilterDefinition::New | ( |  | ) |
| static

## ◆ Copy()

void vtkDSPFilterDefinition::Copy | ( | vtkDSPFilterDefinition * | other | ) |

## ◆ Clear()

void vtkDSPFilterDefinition::Clear | ( |  | ) |

## ◆ IsThisInputVariableInstanceNeeded()

bool vtkDSPFilterDefinition::IsThisInputVariableInstanceNeeded | ( | int | a_timestep,
|  | int | a_outputTimestep
| ) |  |

## ◆ PushBackNumeratorWeight()

void vtkDSPFilterDefinition::PushBackNumeratorWeight | ( | double | a_value | ) |

## ◆ PushBackDenominatorWeight()

void vtkDSPFilterDefinition::PushBackDenominatorWeight | ( | double | a_value | ) |

## ◆ PushBackForwardNumeratorWeight()

void vtkDSPFilterDefinition::PushBackForwardNumeratorWeight | ( | double | a_value | ) |

## ◆ SetInputVariableName()

void vtkDSPFilterDefinition::SetInputVariableName | ( | const char * | a_value | ) |

## ◆ SetOutputVariableName()

void vtkDSPFilterDefinition::SetOutputVariableName | ( | const char * | a_value | ) |

## ◆ GetInputVariableName()

const char* vtkDSPFilterDefinition::GetInputVariableName | ( |  | ) |

## ◆ GetOutputVariableName()

const char* vtkDSPFilterDefinition::GetOutputVariableName | ( |  | ) |

## ◆ GetNumNumeratorWeights()

int vtkDSPFilterDefinition::GetNumNumeratorWeights | ( |  | ) |

## ◆ GetNumDenominatorWeights()

int vtkDSPFilterDefinition::GetNumDenominatorWeights | ( |  | ) |

## ◆ GetNumForwardNumeratorWeights()

int vtkDSPFilterDefinition::GetNumForwardNumeratorWeights | ( |  | ) |

## ◆ GetNumeratorWeight()

double vtkDSPFilterDefinition::GetNumeratorWeight | ( | int | a_which | ) |

## ◆ GetDenominatorWeight()

double vtkDSPFilterDefinition::GetDenominatorWeight | ( | int | a_which | ) |

## ◆ GetForwardNumeratorWeight()

double vtkDSPFilterDefinition::GetForwardNumeratorWeight | ( | int | a_which | ) |

## Member Data Documentation

## ◆ NumeratorWeights

vtkDSPFilterDefinitionVectorDoubleSTLCloak* vtkDSPFilterDefinition::NumeratorWeights

Definition at line 57 of file vtkDSPFilterDefinition.h.

## ◆ DenominatorWeights

vtkDSPFilterDefinitionVectorDoubleSTLCloak* vtkDSPFilterDefinition::DenominatorWeights

Definition at line 58 of file vtkDSPFilterDefinition.h.

## ◆ ForwardNumeratorWeights

vtkDSPFilterDefinitionVectorDoubleSTLCloak* vtkDSPFilterDefinition::ForwardNumeratorWeights

Definition at line 59 of file vtkDSPFilterDefinition.h.

## ◆ InputVariableName

vtkDSPFilterDefinitionStringSTLCloak* vtkDSPFilterDefinition::InputVariableName

Definition at line 61 of file vtkDSPFilterDefinition.h.

## ◆ OutputVariableName

vtkDSPFilterDefinitionStringSTLCloak* vtkDSPFilterDefinition::OutputVariableName

Definition at line 62 of file vtkDSPFilterDefinition.h.

The documentation for this class was generated from the following file:

- Filters/Hybrid/vtkDSPFilterDefinition.h